<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="pb-1 text-text-300 text-sm font-semibold">Client ID</div>
<div class="h-12 rounded-sm bg-dialogGrey flex items-center justify-start px-3.5 w-fit py-2">
  <div class="break-words w-96">
    {{ secret.clientId }}
  </div>
  <div
    class="size-6 flex items-center justify-center cursor-pointer text-primary-500"
    appCopyToClipboard
    [textToCopy]="secret.clientId"
    copyMessage="Client ID coppied to clipboard"
  >
    <i class="pi pi-copy" style="font-size: 1rem"></i>
  </div>
</div>
<div class="pb-1 text-text-300 text-sm font-semibold mt-4">Secret</div>
<div class="h-12 rounded-sm bg-dialogGrey flex items-center justify-start px-3.5 w-fit">
  <app-long-id [id]="secret.secret" copyMessage="Secret coppied to clipboard"></app-long-id>
</div>
<div class="pb-1 text-text-300 text-sm font-semibold mt-4">Authorization header</div>
<div class="pb-6">
  <div class="min-h-12 rounded-sm bg-dialogGrey flex items-center justify-start px-3.5 w-fit py-2">
    <div class="break-words w-96">
      {{ authorizationHeader }}
    </div>
    <div
      class="size-6 flex items-center justify-center cursor-pointer text-primary-500"
      appCopyToClipboard
      [textToCopy]="authorizationHeader"
      copyMessage="Authorization header coppied to clipboard"
    >
      <i class="pi pi-copy" style="font-size: 1rem"></i>
    </div>
  </div>
</div>
<div class="flex items-center justify-start text-sm text-text-300 gap-2 leading-none mt-6">
  <i class="pi pi-info-circle"></i>
  <div>Store the secret securely before closing the dialog, as it won't be accessible later.</div>
</div>
<div *ngIf="useAuthHeader" class="mt-12">
  <p-button label="Use Credentials" (onClick)="useCredentials()"></p-button>
</div>
